
Figure - Bug #112457
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111047 (New): AF-V2.0-小窗模式

【AF】【EVT】【小窗模式】打开音乐的小窗模式，会引起系统崩溃，屏幕上无法进行其他操作
2022-10-10 11:05 - CD TEST-方永红

Status: CLOSED Start date: 2022-10-10

Priority: Urgent Due date: 2022-10-11

Assignee: CD FW 曹覃刚 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V2.0_update_20221012

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20221010.alpha

Resolution: FIXED Degrated: --

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: IT Root cause: java.util.ConcurrentModificationException发生。��这个异常的发生是因为列表中的元素在遍历通知监听器列表的过程中被添加或删除了��需要改变listener的添加时间

Description

【前提条件】

1、设备已开机

【测试步骤】

1、长按音乐应用

2、在弹出的菜单中点击“小窗”

【预期结果】

3、应用正常进入小窗模式

【实际结果】

3、会引起系统崩溃，屏幕上无法进行其他操作

【复现率】

5/5

History

#1 - 2022-10-11 13:53 - CD FW 曹覃刚

- Due date set to 2022-10-11

- % Done changed from 0 to 80

■ Current conclusion

分析中

■ My analysis

java.util.ConcurrentModificationException发生。

这个异常的发生是因为列表中的元素在遍历通知监听器列表的过程中被添加或删除了

需要改变listener的添加时间

■ Next action

本地修复验证。

#2 - 2022-10-11 13:54 - CD FW 曹覃刚

- Status changed from New to RESOLVED
- Resolution changed from -- to FIXED

已修复，提交已入库

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/154584

#3 - 2022-10-12 14:09 - CD FW 曹覃刚

- Root cause set to java.util.ConcurrentModificationException发生。

这个异常的发生是因为列表中的元素在遍历通知监听器列表的过程中被添加或删除了

需要改变listener的添加时间

#4 - 2022-10-12 14:14 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- % Done changed from 80 to 100

#5 - 2022-10-12 14:15 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#6 - 2022-12-22 20:41 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

154584 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

caoqg0702@thundersoft.com

AF:Notification: Fix system UI crashjava.util.ConcurrentModificationException occursThis exception occurs because the elements in the list were added or

removed while traversing the list of notification listenersSo I changed the timing of the listener additionTC-RID: 1201-0201902IssueID:

TS-R-BUG-112457Change-Id: I70a28b5d01f6cf0d327bbe6b2771f10fb182544e
